#include<stdlib.h>
#include<stdio.h>
#include<string.h>

#define dimCodiceVolo 6
#define dimNome 21
#define dimCodiceCitta 4

#ifndef VOLO
#define VOLO
typedef struct{
	char codiceVolo[dimCodiceVolo];
	char cittaPartenza[dimCodiceCitta];
	char cittaArrivo[dimCodiceCitta];
	int durata;
	float costo;
} Volo;
#endif

#ifndef PRENOTAZIONE 
#define PRENOTAZIONE 
typedef struct{
	char codiceVolo[dimCodiceVolo];
	char nomeCliente[dimNome];
	char tipo;
	int numeroBiglietti;
	float costoTotale;
} Prenotazione;
#endif

Volo* leggiVoli(char fileName[], int *dim);
void stampaVolo(Volo v);
Prenotazione* leggiPrenotazioni(char fileName[], int *dim);
void stampaPrenotazione(Prenotazione p);
int inserisciPrenotazione(FILE* fp,Prenotazione *p, int dimP, Volo* v, int dimV);
Volo* trovaVoli(char* citta, Volo* v, int dimV, int* dimResult);
